Page MenuHomePhabricator

[CMake] Rename lldb-launcher to darwin-debug
ClosedPublic

Authored by beanz on Oct 18 2016, 1:00 PM.

Details

Summary

This tool is only built on Darwin, and the name darwin-debug matches the Xcode project. We should have this in sync unless there is a good reason not to.

Event Timeline

beanz updated this revision to Diff 75061.Oct 18 2016, 1:00 PM
beanz retitled this revision from to [CMake] Rename lldb-launcher to darwin-debug.
beanz updated this object.
beanz added reviewers: tfiala, zturner.
beanz added a subscriber: lldb-commits.
tfiala accepted this revision.Oct 18 2016, 3:02 PM
tfiala edited edge metadata.
tfiala added a subscriber: labath.

This seems fine, but @labath might want to weigh in if Android tools have a hard-baked assumption anywhere on lldb-launcher.

This revision is now accepted and ready to land.Oct 18 2016, 3:02 PM
labath accepted this revision.Oct 19 2016, 3:32 AM
labath added a reviewer: labath.

I have no idea what this executable does, but I am pretty sure we don't use it.

PS: there are some mentions of this in the scripts/Python/finishSwigPythonLLDB.py script. Does that need an update?

beanz updated this revision to Diff 75507.Oct 21 2016, 4:37 PM
beanz edited edge metadata.

Cleaning up extra references to lldb-launcher

This revision was automatically updated to reflect the committed changes.